%global srcname bottle-sqlite
Name:           python-%{srcname}
Version:        0.1
Release:        4%{?dist}
Summary:        SQLite3 integration for Bottle WSGI framework

Group:          Development/Languages
License:        MIT
URL:            http://bottlepy.org
Source0:        http://pypi.python.org/packages/source/b/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

Requires:       python-bottle

%description
Bottle-sqlite is a plugin that integrates SQLite3 with your Bottle application. 
It automatically connects to a database at the beginning of a request, passes 
the database handle to the route callback and closes the connection afterwards.

To automatically detect routes that need a database connection, the plugin 
searches for route callbacks that require a db keyword argument (configurable) 
and skips routes that do not. This removes any overhead for routes that don't 
need a database connection.

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc README PKG-INFO
%{python_sitelib}/bottle_sqlite.py*
%{python_sitelib}/bottle_sqlite*.egg-info


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jul 18 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.1-1
- Initial spec
